#ifndef __UPRINTING__
#include <UPrinting.h>
#endif

#ifndef __UMACAPPUTILITIES__
#include <UMacAppUtilities.h>
#endif

#ifndef __UERRORMGR__
#include <UErrorMgr.h>
#endif

#ifndef __UDIALOG__
#include <UDialog.h>
#endif

#ifndef __UDRAGDROP__
#include "UDragDrop.h"
#endif

#ifndef __UGRIDVIEW__
#include <UGridView.h>
#endif

#ifndef __USYNCHSCROLLER__
#include "USynchScroller.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include <UMacAppGlobals.h>
#endif

#include "UMyApplication.h"

#pragma push
#pragma processor 68000

#pragma segment Main

void main()
	{
	InitUMacApp(8);
	InitUPrinting();
	InitUTEView();
	InitUDialog();
	InitUDragManager();
	InitUGridView();
	InitUSynchScroller();
	InitUFloatWindow();
	
	TMyApplication	*myApplication = new TMyApplication;
	myApplication->IMyApplication();
	myApplication->Run();
	}

#pragma pop
